// -------------------------------------------------------------------------------------------------
// xsEntrada.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsEntrada_hpp__
#define __xsEntrada_hpp__

Clase xsEntrada : Publica xsObjeto
{
	Publica:

	    xsEntrada();

	    xsEntrada(xsCadena textoPlaceHolder);

		Vacio crear();

		Vacio crear(xsCadena textoPlaceHolder);
		          
		Vacio colocarTexto(xsCadena texto);

        xsCadena obtenerTexto();

		Entero obtenerLongitudTexto();

		Vacio colocarLongitudMaximaTexto(Entero longitud);

		Entero obtenerLongitudMaximaTexto();

		Vacio colocarAlineamientoTexto(Entero alineamiento);

		Entero obtenerAlineamientoTexto();

		Vacio colocarPlaceHolderTexto(xsCadena placeHolder);

		xsCadena obtenerPlaceHolderTexto();

		Vacio colocarVisibilidad(Entero visibilidad);

		Vacio limpiar();

		Vacio colocarEditable(Logico editable);

		Vacio colocarAnchoEnCaracteres(Entero ancho);
};

// Fin de la Definición del Archivo
#endif